[![The Angel Framework](https://angel-dart.github.io/images/logo.png)](https://angel-dart.github.io)

[![Gitter](https://img.shields.io/gitter/room/nwjs/nw.js.svg)](https://gitter.im/angel_dart/discussion)
[![Pub](https://img.shields.io/pub/v/angel_framework.svg)](https://pub.dartlang.org/packages/angel_framework)
[![Build status](https://travis-ci.org/angel-dart/framework.svg?branch=master)](https://travis-ci.org/angel-dart/framework)
![License](https://img.shields.io/github/license/angel-dart/framework.svg)

**Fill out the [v1.0.0 survey](https://docs.google.com/forms/d/e/1FAIpQLSfEgBNsOoi_nYZMmg2IAGyMv1nNaa6B3kUk3QdNJU5987ucVA/viewform?usp=sf_link) now!!!**

[Wiki (in-depth documentation)](https://github.com/angel-dart/angel/wiki)

[API Documentation](http://www.dartdocs.org/documentation/angel_common/latest)

[Roadmap](https://github.com/angel-dart/roadmap/blob/master/ROADMAP.md)

[File an Issue](https://github.com/angel-dart/roadmap/issues)

[Awesome Angel :fire:](https://github.com/angel-dart/awesome-angel)

**The Dart server framework that's ready for showtime.**

Angel is a full-featured server-side Web application framework for the Dart programming language. It strives to be a flexible, extensible system, to be easily scalable, and to allow as much code to be shared between clients and servers as possible. Ultimately, I believe that this approach will shorten the time it takes to build a full-stack Web application, from start to finish. [Read more...](https://medium.com/the-angel-framework/announcing-angel-v1-0-0-beta-46dfb4aa8afe)

Like what you see? Please lend us a star. :star:

## Newest Tutorials
* [Developing RESTful API's with Angel](https://thosakwe.com/developing-restful-apis-with-angel/)
* [Serving Static Files](https://medium.com/the-angel-framework/serving-static-files-with-the-angel-framework-2ddc7a2b84ae)
* Use With Angular2 ([article](https://dart.academy/using-angel-with-angular2/) | [video](https://www.youtube.com/watch?v=O8tCXj_lljY&feature=youtu.be))

## Installation & Setup
*Having errors with a fresh Angel installation? See [here](https://github.com/angel-dart/angel/wiki/Installation-&-Setup) for help.*

Once you have [Dart](https://www.dartlang.org/) installed, bootstrapping a project is as simple as running one shell command:

Install the [Angel CLI](https://github.com/angel-dart/cli):

```bash
pub global activate angel_cli
```

Bootstrap a project:

```bash
angel init hello
```

You can even have your server run and be *live-reloaded* on file changes:

```bash
dart bin/dev.dart
```

Next, check out the [detailed documentation](https://github.com/angel-dart/angel/wiki) to learn to flesh out your project.

## Features
With features like the following, Angel is the all-in-one framework you should choose to build your next project:
* [Advanced, Modular Routing](https://github.com/angel-dart/route)
* [Middleware](https://github.com/angel-dart/angel/wiki/Middleware)
* [Dependency Injection](https://github.com/angel-dart/angel/wiki/Dependency-Injection)
* [Strongly-typed ORM](https://github.com/angel-dart/orm)
* And [much more](https://github.com/angel-dart)...

## Basic Example
Examples and complete projects can be found in the [angel-example](https://github.com/angel-example) organization.
